# MaxMind Geolite2

[MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/) databases
are free IP geolocation databases comparable to, but less accurate than,
MaxMind’s GeoIP2 databases. GeoLite2 databases are updated on the first
Tuesday of each month.

The GeoLite2 databases are distributed under the [Creative Commons
Attribution-ShareAlike 3.0 Unported License](http://creativecommons.org/licenses/by-sa/3.0/).

The attribution requirement may be met by including the following in all advertising and documentation
mentioning features of or use of this database:

> This product includes GeoLite2 data created by MaxMind, available from [www.maxmind.com](http://www.maxmind.com).


## Country ipset

MaxMind distinguishes between several types of country data. The `country` is the country where the IP
address is located. The `registered_country` is the country in which the IP is registered.
These two may differ in some cases.

They also include a `represented_country` key for some records. This is used when the IP address belongs
to something like a military base. The `represented_country` is the country that the base represents.
This can be useful for managing content licensing, among other uses.

**In the ipsets generated, an IP subnet is added to all `country`, `registered_country` and `represented_country`
(of course only when these differ).**

More information [here](http://dev.maxmind.com/geoip/geoip2/whats-new-in-geoip2/).


## Continent ipsets

MaxMind provides the continent each IP subnet is located. Using this information we created the `geolite2/continent_*.netset` ipsets.


## Global providers

MaxMind provides two flags for each IP subnet.

- `A1` which stands for `is anonymous provider`
- `A2` which stands for `is satellite provider`

Using this information we created two additional ipsets: `geolite2/anonymous.netset` and `geolite2/satellite.netset`.


## Dynamic list of ipsets


The following list was automatically generated on Tue Dec 24 20:16:11 UTC 2019.

The update frequency is the maximum allowed by internal configuration. A list will never be downloaded sooner than the update frequency stated. A list may also not be downloaded, after this frequency expired, if it has not been modified on the server (as reported by HTTP `IF_MODIFIED_SINCE` method).

name|info|type|entries|update|
:--:|:--:|:--:|:-----:|:----:|
[anonymous](http://iplists.firehol.org/?ipset=anonymous)|Anonymous Service Providers -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|33 subnets, 5907 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[continent_af](http://iplists.firehol.org/?ipset=continent_af)|Africa (AF), with countries: Rwanda,0 (RW), Somalia,0 (SO), Tanzania,0 (TZ), Kenya,0 (KE), DR Congo,0 (CD), Djibouti,0 (DJ), Uganda,0 (UG), Central African Republic,0 (CF), Seychelles,0 (SC), Ethiopia,0 (ET), Eritrea,0 (ER), Egypt,0 (EG), Sudan,0 (SD), Burundi,0 (BI), Zimbabwe,0 (ZW), Zambia,0 (ZM), Comoros,0 (KM), Malawi,0 (MW), Lesotho,0 (LS), Botswana,0 (BW), Mauritius,0 (MU), Eswatini,0 (SZ), Réunion,1 (RE), South Africa,0 (ZA), Mayotte,1 (YT), Mozambique,0 (MZ), Madagascar,0 (MG), Libya,0 (LY), Cameroon,0 (CM), Senegal,0 (SN), Congo Republic,0 (CG), Liberia,0 (LR), Ivory Coast,0 (CI), Ghana,0 (GH), Equatorial Guinea,0 (GQ), Nigeria,0 (NG), Burkina Faso,0 (BF), Togo,0 (TG), Guinea-Bissau,0 (GW), Mauritania,0 (MR), Benin,0 (BJ), Gabon,0 (GA), Sierra Leone,0 (SL), São Tomé and Príncipe,0 (ST), Gambia,0 (GM), Guinea,0 (GN), Chad,0 (TD), Niger,0 (NE), Mali,0 (ML), Western Sahara,0 (EH), Tunisia,0 (TN), Morocco,0 (MA), Algeria,0 (DZ), Angola,0 (AO), Namibia,0 (NA), Saint Helena,0 (SH), Cabo Verde,0 (CV), South Sudan,0 (SS),  -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|6253 subnets, 114394307 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[continent_an](http://iplists.firehol.org/?ipset=continent_an)|Antarctica (AN), with countries: French Southern Territories,0 (TF), Heard Island and McDonald Islands,0 (HM), Bouvet Island,0 (BV), South Georgia and the South Sandwich Islands,0 (GS), Antarctica,0 (AQ),  -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|63 subnets, 4928 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[continent_as](http://iplists.firehol.org/?ipset=continent_as)|Asia (AS), with countries: Yemen,0 (YE), Iraq,0 (IQ), Saudi Arabia,0 (SA), Iran,0 (IR), Syria,0 (SY), Armenia,0 (AM), Hashemite Kingdom of Jordan,0 (JO), Lebanon,0 (LB), Kuwait,0 (KW), Oman,0 (OM), Qatar,0 (QA), Bahrain,0 (BH), United Arab Emirates,0 (AE), Israel,0 (IL), Turkey,0 (TR), Azerbaijan,0 (AZ), Georgia,0 (GE), Afghanistan,0 (AF), Pakistan,0 (PK), Bangladesh,0 (BD), Turkmenistan,0 (TM), Tajikistan,0 (TJ), Sri Lanka,0 (LK), Bhutan,0 (BT), India,0 (IN), Maldives,0 (MV), British Indian Ocean Territory,0 (IO), Nepal,0 (NP), Myanmar,0 (MM), Uzbekistan,0 (UZ), Kazakhstan,0 (KZ), Kyrgyzstan,0 (KG), Cocos (Keeling) Islands,0 (CC), Vietnam,0 (VN), Thailand,0 (TH), Indonesia,0 (ID), Laos,0 (LA), Taiwan,0 (TW), Philippines,0 (PH), Malaysia,0 (MY), China,0 (CN), Hong Kong,0 (HK), Brunei,0 (BN), Macao,0 (MO), Cambodia,0 (KH), South Korea,0 (KR), Japan,0 (JP), North Korea,0 (KP), Singapore,0 (SG), Mongolia,0 (MN), Palestine,0 (PS), ,0 (),  -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|30861 subnets, 910880938 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[continent_eu](http://iplists.firehol.org/?ipset=continent_eu)|Europe (EU), with countries: Cyprus,1 (CY), Greece,1 (GR), Estonia,1 (EE), Latvia,1 (LV), Republic of Lithuania,1 (LT), Svalbard and Jan Mayen,0 (SJ), Republic of Moldova,0 (MD), Belarus,0 (BY), Finland,1 (FI), Åland,1 (AX), Ukraine,0 (UA), North Macedonia,0 (MK), Hungary,1 (HU), Bulgaria,1 (BG), Albania,0 (AL), Poland,1 (PL), Romania,1 (RO), Kosovo,0 (XK), Russia,0 (RU), Portugal,1 (PT), Gibraltar,1 (GI), Spain,1 (ES), Malta,1 (MT), Faroe Islands,0 (FO), Denmark,1 (DK), Iceland,0 (IS), United Kingdom,1 (GB), Switzerland,0 (CH), Sweden,1 (SE), Netherlands,1 (NL), Austria,1 (AT), Belgium,1 (BE), Germany,1 (DE), Luxembourg,1 (LU), Ireland,1 (IE), Monaco,0 (MC), France,1 (FR), Andorra,0 (AD), Liechtenstein,0 (LI), Jersey,0 (JE), Isle of Man,0 (IM), Guernsey,0 (GG), Slovakia,1 (SK), Czechia,1 (CZ), Norway,0 (NO), Vatican City,0 (VA), San Marino,0 (SM), Italy,1 (IT), Slovenia,1 (SI), Montenegro,0 (ME), Croatia,1 (HR), Bosnia and Herzegovina,0 (BA), ,0 (), Serbia,0 (RS),  -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|39631 subnets, 767334370 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[continent_na](http://iplists.firehol.org/?ipset=continent_na)|North America (NA), with countries: Barbados,0 (BB), Saint Pierre and Miquelon,0 (PM), Greenland,0 (GL), Jamaica,0 (JM), Dominican Republic,0 (DO), Cuba,0 (CU), Martinique,1 (MQ), Bahamas,0 (BS), Bermuda,0 (BM), Anguilla,0 (AI), Trinidad and Tobago,0 (TT), St Kitts and Nevis,0 (KN), Dominica,0 (DM), Antigua and Barbuda,0 (AG), Saint Lucia,0 (LC), Turks and Caicos Islands,0 (TC), Aruba,0 (AW), British Virgin Islands,0 (VG), Saint Vincent and the Grenadines,0 (VC), Montserrat,0 (MS), Saint Martin,1 (MF), Saint Barthélemy,0 (BL), Guadeloupe,1 (GP), Grenada,0 (GD), Cayman Islands,0 (KY), Belize,0 (BZ), El Salvador,0 (SV), Guatemala,0 (GT), Honduras,0 (HN), Nicaragua,0 (NI), Costa Rica,0 (CR), Panama,0 (PA), Haiti,0 (HT), Mexico,0 (MX), Puerto Rico,0 (PR), U.S. Virgin Islands,0 (VI), Canada,0 (CA), United States,0 (US), Sint Maarten,0 (SX), Curaçao,0 (CW), Bonaire, Sint Eustatius, and Saba,0 (BQ),  -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|32704 subnets, 1713301391 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[continent_oc](http://iplists.firehol.org/?ipset=continent_oc)|Oceania (OC), with countries: Palau,0 (PW), Cook Islands,0 (CK), East Timor,0 (TL), Australia,0 (AU), Christmas Island,0 (CX), Marshall Islands,0 (MH), Federated States of Micronesia,0 (FM), Papua New Guinea,0 (PG), Solomon Islands,0 (SB), Tuvalu,0 (TV), Nauru,0 (NR), Vanuatu,0 (VU), New Caledonia,0 (NC), Norfolk Island,0 (NF), New Zealand,0 (NZ), Fiji,0 (FJ), French Polynesia,0 (PF), Pitcairn Islands,0 (PN), Kiribati,0 (KI), Tokelau,0 (TK), Tonga,0 (TO), Wallis and Futuna,0 (WF), Samoa,0 (WS), Niue,0 (NU), Northern Mariana Islands,0 (MP), Guam,0 (GU), U.S. Minor Outlying Islands,0 (UM), American Samoa,0 (AS),  -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|8993 subnets, 60056500 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[continent_sa](http://iplists.firehol.org/?ipset=continent_sa)|South America (SA), with countries: Guyana,0 (GY), French Guiana,1 (GF), Suriname,0 (SR), Paraguay,0 (PY), Uruguay,0 (UY), Brazil,0 (BR), Falkland Islands,0 (FK), Venezuela,0 (VE), Ecuador,0 (EC), Colombia,0 (CO), Argentina,0 (AR), Chile,0 (CL), Bolivia,0 (BO), Peru,0 (PE),  -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|5393 subnets, 152998297 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ad](http://iplists.firehol.org/?ipset=country_ad)|Andorra,0 (AD) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|38 subnets, 58563 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ae](http://iplists.firehol.org/?ipset=country_ae)|United Arab Emirates,0 (AE) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|561 subnets, 3922385 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_af](http://iplists.firehol.org/?ipset=country_af)|Afghanistan,0 (AF) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|162 subnets, 214519 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ag](http://iplists.firehol.org/?ipset=country_ag)|Antigua and Barbuda,0 (AG) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|79 subnets, 53795 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ai](http://iplists.firehol.org/?ipset=country_ai)|Anguilla,0 (AI) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|26 subnets, 12604 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_al](http://iplists.firehol.org/?ipset=country_al)|Albania,0 (AL) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|203 subnets, 474274 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_am](http://iplists.firehol.org/?ipset=country_am)|Armenia,0 (AM) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|158 subnets, 644378 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ao](http://iplists.firehol.org/?ipset=country_ao)|Angola,0 (AO) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|158 subnets, 1247762 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_aq](http://iplists.firehol.org/?ipset=country_aq)|Antarctica,0 (AQ) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|20 subnets, 2581 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ar](http://iplists.firehol.org/?ipset=country_ar)|Argentina,0 (AR) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|1940 subnets, 19591820 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_as](http://iplists.firehol.org/?ipset=country_as)|American Samoa,0 (AS) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|24 subnets, 9610 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_at](http://iplists.firehol.org/?ipset=country_at)|Austria,1 (AT) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|2632 subnets, 11264012 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_au](http://iplists.firehol.org/?ipset=country_au)|Australia,0 (AU) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|7572 subnets, 51851588 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_aw](http://iplists.firehol.org/?ipset=country_aw)|Aruba,0 (AW) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|27 subnets, 105748 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ax](http://iplists.firehol.org/?ipset=country_ax)|Åland,1 (AX) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|26 subnets, 29969 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_az](http://iplists.firehol.org/?ipset=country_az)|Azerbaijan,0 (AZ) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|166 subnets, 769874 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ba](http://iplists.firehol.org/?ipset=country_ba)|Bosnia and Herzegovina,0 (BA) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|210 subnets, 840971 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_bb](http://iplists.firehol.org/?ipset=country_bb)|Barbados,0 (BB) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|147 subnets, 153837 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_bd](http://iplists.firehol.org/?ipset=country_bd)|Bangladesh,0 (BD) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|1278 subnets, 1727059 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_be](http://iplists.firehol.org/?ipset=country_be)|Belgium,1 (BE) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|1945 subnets, 21851370 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_bf](http://iplists.firehol.org/?ipset=country_bf)|Burkina Faso,0 (BF) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|46 subnets, 333132 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_bg](http://iplists.firehol.org/?ipset=country_bg)|Bulgaria,1 (BG) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|1197 subnets, 4457438 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_bh](http://iplists.firehol.org/?ipset=country_bh)|Bahrain,0 (BH) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|102 subnets, 605832 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_bi](http://iplists.firehol.org/?ipset=country_bi)|Burundi,0 (BI) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|28 subnets, 44491 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_bj](http://iplists.firehol.org/?ipset=country_bj)|Benin,0 (BJ) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|43 subnets, 175836 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_bl](http://iplists.firehol.org/?ipset=country_bl)|Saint Barthélemy,0 (BL) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|27 subnets, 16905 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_bm](http://iplists.firehol.org/?ipset=country_bm)|Bermuda,0 (BM) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|70 subnets, 131613 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_bn](http://iplists.firehol.org/?ipset=country_bn)|Brunei,0 (BN) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|60 subnets, 223297 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_bo](http://iplists.firehol.org/?ipset=country_bo)|Bolivia,0 (BO) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|149 subnets, 1176270 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_bq](http://iplists.firehol.org/?ipset=country_bq)|Bonaire, Sint Eustatius, and Saba,0 (BQ) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|18 subnets, 24591 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_br](http://iplists.firehol.org/?ipset=country_br)|Brazil,0 (BR) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|4470 subnets, 87871037 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_bs](http://iplists.firehol.org/?ipset=country_bs)|Bahamas,0 (BS) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|58 subnets, 153663 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_bt](http://iplists.firehol.org/?ipset=country_bt)|Bhutan,0 (BT) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|39 subnets, 39148 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_bv](http://iplists.firehol.org/?ipset=country_bv)|Bouvet Island,0 (BV) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|7 subnets, 262 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_bw](http://iplists.firehol.org/?ipset=country_bw)|Botswana,0 (BW) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|63 subnets, 169765 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_by](http://iplists.firehol.org/?ipset=country_by)|Belarus,0 (BY) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|211 subnets, 1927744 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_bz](http://iplists.firehol.org/?ipset=country_bz)|Belize,0 (BZ) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|171 subnets, 147374 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ca](http://iplists.firehol.org/?ipset=country_ca)|Canada,0 (CA) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|11527 subnets, 71945123 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_cc](http://iplists.firehol.org/?ipset=country_cc)|Cocos (Keeling) Islands,0 (CC) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|13 subnets, 914 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_cd](http://iplists.firehol.org/?ipset=country_cd)|DR Congo,0 (CD) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|84 subnets, 170571 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_cf](http://iplists.firehol.org/?ipset=country_cf)|Central African Republic,0 (CF) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|21 subnets, 12433 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_cg](http://iplists.firehol.org/?ipset=country_cg)|Congo Republic,0 (CG) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|45 subnets, 148781 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ch](http://iplists.firehol.org/?ipset=country_ch)|Switzerland,0 (CH) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|3474 subnets, 20732056 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ci](http://iplists.firehol.org/?ipset=country_ci)|Ivory Coast,0 (CI) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|57 subnets, 1191132 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ck](http://iplists.firehol.org/?ipset=country_ck)|Cook Islands,0 (CK) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|12 subnets, 8470 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_cl](http://iplists.firehol.org/?ipset=country_cl)|Chile,0 (CL) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|914 subnets, 10253986 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_cm](http://iplists.firehol.org/?ipset=country_cm)|Cameroon,0 (CM) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|60 subnets, 720477 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_cn](http://iplists.firehol.org/?ipset=country_cn)|China,0 (CN) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|7212 subnets, 345532148 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_co](http://iplists.firehol.org/?ipset=country_co)|Colombia,0 (CO) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|805 subnets, 17514669 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_cr](http://iplists.firehol.org/?ipset=country_cr)|Costa Rica,0 (CR) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|301 subnets, 2562997 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_cu](http://iplists.firehol.org/?ipset=country_cu)|Cuba,0 (CU) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|33 subnets, 262310 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_cv](http://iplists.firehol.org/?ipset=country_cv)|Cabo Verde,0 (CV) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|21 subnets, 33932 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_cw](http://iplists.firehol.org/?ipset=country_cw)|Curaçao,0 (CW) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|63 subnets, 185064 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_cx](http://iplists.firehol.org/?ipset=country_cx)|Christmas Island,0 (CX) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|11 subnets, 1692 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_cy](http://iplists.firehol.org/?ipset=country_cy)|Cyprus,1 (CY) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|349 subnets, 970447 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_cz](http://iplists.firehol.org/?ipset=country_cz)|Czechia,1 (CZ) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|2303 subnets, 8969555 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_de](http://iplists.firehol.org/?ipset=country_de)|Germany,1 (DE) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|17109 subnets, 129647903 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_dj](http://iplists.firehol.org/?ipset=country_dj)|Djibouti,0 (DJ) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|25 subnets, 69909 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_dk](http://iplists.firehol.org/?ipset=country_dk)|Denmark,1 (DK) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|1823 subnets, 13151794 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_dm](http://iplists.firehol.org/?ipset=country_dm)|Dominica,0 (DM) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|47 subnets, 21769 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_do](http://iplists.firehol.org/?ipset=country_do)|Dominican Republic,0 (DO) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|142 subnets, 1606465 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_dz](http://iplists.firehol.org/?ipset=country_dz)|Algeria,0 (DZ) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|79 subnets, 4796676 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ec](http://iplists.firehol.org/?ipset=country_ec)|Ecuador,0 (EC) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|350 subnets, 2725871 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ee](http://iplists.firehol.org/?ipset=country_ee)|Estonia,1 (EE) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|472 subnets, 1469796 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_eg](http://iplists.firehol.org/?ipset=country_eg)|Egypt,0 (EG) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|276 subnets, 24368608 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_eh](http://iplists.firehol.org/?ipset=country_eh)|Western Sahara,0 (EH) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|8 subnets, 518 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_er](http://iplists.firehol.org/?ipset=country_er)|Eritrea,0 (ER) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|10 subnets, 4748 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_es](http://iplists.firehol.org/?ipset=country_es)|Spain,1 (ES) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|6419 subnets, 33929871 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_et](http://iplists.firehol.org/?ipset=country_et)|Ethiopia,0 (ET) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|20 subnets, 366621 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_fi](http://iplists.firehol.org/?ipset=country_fi)|Finland,1 (FI) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|1787 subnets, 13918317 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_fj](http://iplists.firehol.org/?ipset=country_fj)|Fiji,0 (FJ) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|47 subnets, 149660 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_fk](http://iplists.firehol.org/?ipset=country_fk)|Falkland Islands,0 (FK) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|19 subnets, 5907 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_fm](http://iplists.firehol.org/?ipset=country_fm)|Federated States of Micronesia,0 (FM) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|10 subnets, 12548 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_fo](http://iplists.firehol.org/?ipset=country_fo)|Faroe Islands,0 (FO) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|30 subnets, 45349 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_fr](http://iplists.firehol.org/?ipset=country_fr)|France,1 (FR) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|22662 subnets, 87951042 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ga](http://iplists.firehol.org/?ipset=country_ga)|Gabon,0 (GA) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|66 subnets, 432000 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_gb](http://iplists.firehol.org/?ipset=country_gb)|United Kingdom,1 (GB) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|16080 subnets, 118791030 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_gd](http://iplists.firehol.org/?ipset=country_gd)|Grenada,0 (GD) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|62 subnets, 29420 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ge](http://iplists.firehol.org/?ipset=country_ge)|Georgia,0 (GE) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|244 subnets, 1262709 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_gf](http://iplists.firehol.org/?ipset=country_gf)|French Guiana,1 (GF) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|41 subnets, 122708 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_gg](http://iplists.firehol.org/?ipset=country_gg)|Guernsey,0 (GG) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|77 subnets, 54750 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_gh](http://iplists.firehol.org/?ipset=country_gh)|Ghana,0 (GH) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|172 subnets, 2290421 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_gi](http://iplists.firehol.org/?ipset=country_gi)|Gibraltar,1 (GI) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|79 subnets, 95272 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_gl](http://iplists.firehol.org/?ipset=country_gl)|Greenland,0 (GL) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|32 subnets, 33548 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_gm](http://iplists.firehol.org/?ipset=country_gm)|Gambia,0 (GM) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|28 subnets, 267281 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_gn](http://iplists.firehol.org/?ipset=country_gn)|Guinea,0 (GN) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|54 subnets, 35021 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_gp](http://iplists.firehol.org/?ipset=country_gp)|Guadeloupe,1 (GP) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|137 subnets, 295563 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_gq](http://iplists.firehol.org/?ipset=country_gq)|Equatorial Guinea,0 (GQ) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|23 subnets, 20005 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_gr](http://iplists.firehol.org/?ipset=country_gr)|Greece,1 (GR) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|629 subnets, 5697376 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_gs](http://iplists.firehol.org/?ipset=country_gs)|South Georgia and the South Sandwich Islands,0 (GS) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|14 subnets, 527 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_gt](http://iplists.firehol.org/?ipset=country_gt)|Guatemala,0 (GT) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|210 subnets, 663413 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_gu](http://iplists.firehol.org/?ipset=country_gu)|Guam,0 (GU) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|48 subnets, 235193 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_gw](http://iplists.firehol.org/?ipset=country_gw)|Guinea-Bissau,0 (GW) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|12 subnets, 6542 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_gy](http://iplists.firehol.org/?ipset=country_gy)|Guyana,0 (GY) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|24 subnets, 71820 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_hk](http://iplists.firehol.org/?ipset=country_hk)|Hong Kong,0 (HK) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|4938 subnets, 16360672 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_hm](http://iplists.firehol.org/?ipset=country_hm)|Heard Island and McDonald Islands,0 (HM) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|7 subnets, 1028 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_hn](http://iplists.firehol.org/?ipset=country_hn)|Honduras,0 (HN) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|266 subnets, 556312 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_hr](http://iplists.firehol.org/?ipset=country_hr)|Croatia,1 (HR) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|382 subnets, 3056406 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ht](http://iplists.firehol.org/?ipset=country_ht)|Haiti,0 (HT) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|33 subnets, 164492 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_hu](http://iplists.firehol.org/?ipset=country_hu)|Hungary,1 (HU) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|842 subnets, 6053481 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_id](http://iplists.firehol.org/?ipset=country_id)|Indonesia,0 (ID) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|2547 subnets, 18768256 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ie](http://iplists.firehol.org/?ipset=country_ie)|Ireland,1 (IE) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|2441 subnets, 13865700 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_il](http://iplists.firehol.org/?ipset=country_il)|Israel,0 (IL) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|871 subnets, 8257119 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_im](http://iplists.firehol.org/?ipset=country_im)|Isle of Man,0 (IM) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|77 subnets, 108640 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_in](http://iplists.firehol.org/?ipset=country_in)|India,0 (IN) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|5985 subnets, 43092586 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_io](http://iplists.firehol.org/?ipset=country_io)|British Indian Ocean Territory,0 (IO) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|16 subnets, 3333 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_iq](http://iplists.firehol.org/?ipset=country_iq)|Iraq,0 (IQ) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|228 subnets, 686998 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ir](http://iplists.firehol.org/?ipset=country_ir)|Iran,0 (IR) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|1540 subnets, 12735096 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_is](http://iplists.firehol.org/?ipset=country_is)|Iceland,0 (IS) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|185 subnets, 919664 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_it](http://iplists.firehol.org/?ipset=country_it)|Italy,1 (IT) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|4726 subnets, 56088647 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_je](http://iplists.firehol.org/?ipset=country_je)|Jersey,0 (JE) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|51 subnets, 86420 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_jm](http://iplists.firehol.org/?ipset=country_jm)|Jamaica,0 (JM) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|97 subnets, 274947 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_jo](http://iplists.firehol.org/?ipset=country_jo)|Hashemite Kingdom of Jordan,0 (JO) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|157 subnets, 694994 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_jp](http://iplists.firehol.org/?ipset=country_jp)|Japan,0 (JP) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|5778 subnets, 209196788 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ke](http://iplists.firehol.org/?ipset=country_ke)|Kenya,0 (KE) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|370 subnets, 6224511 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_kg](http://iplists.firehol.org/?ipset=country_kg)|Kyrgyzstan,0 (KG) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|97 subnets, 282529 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_kh](http://iplists.firehol.org/?ipset=country_kh)|Cambodia,0 (KH) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|301 subnets, 481250 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ki](http://iplists.firehol.org/?ipset=country_ki)|Kiribati,0 (KI) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|13 subnets, 8972 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_km](http://iplists.firehol.org/?ipset=country_km)|Comoros,0 (KM) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|18 subnets, 6177 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_kn](http://iplists.firehol.org/?ipset=country_kn)|St Kitts and Nevis,0 (KN) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|46 subnets, 30274 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_kp](http://iplists.firehol.org/?ipset=country_kp)|North Korea,0 (KP) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|21 subnets, 1842 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_kr](http://iplists.firehol.org/?ipset=country_kr)|South Korea,0 (KR) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|1562 subnets, 113434074 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_kw](http://iplists.firehol.org/?ipset=country_kw)|Kuwait,0 (KW) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|212 subnets, 1969433 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ky](http://iplists.firehol.org/?ipset=country_ky)|Cayman Islands,0 (KY) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|50 subnets, 198572 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_kz](http://iplists.firehol.org/?ipset=country_kz)|Kazakhstan,0 (KZ) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|459 subnets, 3211036 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_la](http://iplists.firehol.org/?ipset=country_la)|Laos,0 (LA) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|61 subnets, 82083 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_lb](http://iplists.firehol.org/?ipset=country_lb)|Lebanon,0 (LB) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|280 subnets, 620756 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_lc](http://iplists.firehol.org/?ipset=country_lc)|Saint Lucia,0 (LC) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|55 subnets, 37268 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_li](http://iplists.firehol.org/?ipset=country_li)|Liechtenstein,0 (LI) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|97 subnets, 115675 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_lk](http://iplists.firehol.org/?ipset=country_lk)|Sri Lanka,0 (LK) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|103 subnets, 563535 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_lr](http://iplists.firehol.org/?ipset=country_lr)|Liberia,0 (LR) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|34 subnets, 166340 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ls](http://iplists.firehol.org/?ipset=country_ls)|Lesotho,0 (LS) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|35 subnets, 125496 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_lt](http://iplists.firehol.org/?ipset=country_lt)|Republic of Lithuania,1 (LT) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|901 subnets, 3072379 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_lu](http://iplists.firehol.org/?ipset=country_lu)|Luxembourg,1 (LU) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|491 subnets, 1523266 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_lv](http://iplists.firehol.org/?ipset=country_lv)|Latvia,1 (LV) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|495 subnets, 1972285 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ly](http://iplists.firehol.org/?ipset=country_ly)|Libya,0 (LY) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|41 subnets, 421140 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ma](http://iplists.firehol.org/?ipset=country_ma)|Morocco,0 (MA) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|103 subnets, 12272571 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_mc](http://iplists.firehol.org/?ipset=country_mc)|Monaco,0 (MC) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|43 subnets, 69854 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_md](http://iplists.firehol.org/?ipset=country_md)|Republic of Moldova,0 (MD) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|513 subnets, 1470269 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_me](http://iplists.firehol.org/?ipset=country_me)|Montenegro,0 (ME) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|80 subnets, 199757 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_mf](http://iplists.firehol.org/?ipset=country_mf)|Saint Martin,1 (MF) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|48 subnets, 25758 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_mg](http://iplists.firehol.org/?ipset=country_mg)|Madagascar,0 (MG) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|40 subnets, 578785 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_mh](http://iplists.firehol.org/?ipset=country_mh)|Marshall Islands,0 (MH) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|14 subnets, 9732 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_mk](http://iplists.firehol.org/?ipset=country_mk)|North Macedonia,0 (MK) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|128 subnets, 711791 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ml](http://iplists.firehol.org/?ipset=country_ml)|Mali,0 (ML) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|33 subnets, 90508 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_mm](http://iplists.firehol.org/?ipset=country_mm)|Myanmar,0 (MM) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|169 subnets, 194253 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_mn](http://iplists.firehol.org/?ipset=country_mn)|Mongolia,0 (MN) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|109 subnets, 246818 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_mo](http://iplists.firehol.org/?ipset=country_mo)|Macao,0 (MO) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|65 subnets, 365381 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_mp](http://iplists.firehol.org/?ipset=country_mp)|Northern Mariana Islands,0 (MP) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|31 subnets, 36502 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_mq](http://iplists.firehol.org/?ipset=country_mq)|Martinique,1 (MQ) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|106 subnets, 273648 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_mr](http://iplists.firehol.org/?ipset=country_mr)|Mauritania,0 (MR) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|22 subnets, 48652 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ms](http://iplists.firehol.org/?ipset=country_ms)|Montserrat,0 (MS) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|17 subnets, 3292 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_mt](http://iplists.firehol.org/?ipset=country_mt)|Malta,1 (MT) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|158 subnets, 682457 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_mu](http://iplists.firehol.org/?ipset=country_mu)|Mauritius,0 (MU) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|336 subnets, 2088230 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_mv](http://iplists.firehol.org/?ipset=country_mv)|Maldives,0 (MV) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|49 subnets, 89244 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_mw](http://iplists.firehol.org/?ipset=country_mw)|Malawi,0 (MW) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|51 subnets, 551053 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_mx](http://iplists.firehol.org/?ipset=country_mx)|Mexico,0 (MX) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|1114 subnets, 29188024 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_my](http://iplists.firehol.org/?ipset=country_my)|Malaysia,0 (MY) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|967 subnets, 6730399 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_mz](http://iplists.firehol.org/?ipset=country_mz)|Mozambique,0 (MZ) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|91 subnets, 477419 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_na](http://iplists.firehol.org/?ipset=country_na)|Namibia,0 (NA) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|332 subnets, 494918 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_nc](http://iplists.firehol.org/?ipset=country_nc)|New Caledonia,0 (NC) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|54 subnets, 165926 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ne](http://iplists.firehol.org/?ipset=country_ne)|Niger,0 (NE) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|24 subnets, 45749 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_nf](http://iplists.firehol.org/?ipset=country_nf)|Norfolk Island,0 (NF) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|14 subnets, 2321 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ng](http://iplists.firehol.org/?ipset=country_ng)|Nigeria,0 (NG) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|486 subnets, 3284452 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ni](http://iplists.firehol.org/?ipset=country_ni)|Nicaragua,0 (NI) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|81 subnets, 439356 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_nl](http://iplists.firehol.org/?ipset=country_nl)|Netherlands,1 (NL) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|11505 subnets, 52847389 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_no](http://iplists.firehol.org/?ipset=country_no)|Norway,0 (NO) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|1629 subnets, 16074860 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_np](http://iplists.firehol.org/?ipset=country_np)|Nepal,0 (NP) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|179 subnets, 560341 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_nr](http://iplists.firehol.org/?ipset=country_nr)|Nauru,0 (NR) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|20 subnets, 14993 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_nu](http://iplists.firehol.org/?ipset=country_nu)|Niue,0 (NU) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|12 subnets, 2326 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_nz](http://iplists.firehol.org/?ipset=country_nz)|New Zealand,0 (NZ) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|1249 subnets, 7320217 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_om](http://iplists.firehol.org/?ipset=country_om)|Oman,0 (OM) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|74 subnets, 995364 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_pa](http://iplists.firehol.org/?ipset=country_pa)|Panama,0 (PA) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|298 subnets, 1832815 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_pe](http://iplists.firehol.org/?ipset=country_pe)|Peru,0 (PE) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|339 subnets, 3336541 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_pf](http://iplists.firehol.org/?ipset=country_pf)|French Polynesia,0 (PF) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|24 subnets, 65812 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_pg](http://iplists.firehol.org/?ipset=country_pg)|Papua New Guinea,0 (PG) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|75 subnets, 73841 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ph](http://iplists.firehol.org/?ipset=country_ph)|Philippines,0 (PH) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|810 subnets, 5748743 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_pk](http://iplists.firehol.org/?ipset=country_pk)|Pakistan,0 (PK) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|593 subnets, 5919772 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_pl](http://iplists.firehol.org/?ipset=country_pl)|Poland,1 (PL) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|5443 subnets, 21284541 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_pm](http://iplists.firehol.org/?ipset=country_pm)|Saint Pierre and Miquelon,0 (PM) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|17 subnets, 8225 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_pn](http://iplists.firehol.org/?ipset=country_pn)|Pitcairn Islands,0 (PN) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|10 subnets, 273 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_pr](http://iplists.firehol.org/?ipset=country_pr)|Puerto Rico,0 (PR) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|361 subnets, 1295118 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ps](http://iplists.firehol.org/?ipset=country_ps)|Palestine,0 (PS) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|178 subnets, 746866 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_pt](http://iplists.firehol.org/?ipset=country_pt)|Portugal,1 (PT) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|1003 subnets, 6710716 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_pw](http://iplists.firehol.org/?ipset=country_pw)|Palau,0 (PW) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|13 subnets, 9998 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_py](http://iplists.firehol.org/?ipset=country_py)|Paraguay,0 (PY) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|122 subnets, 1130446 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_qa](http://iplists.firehol.org/?ipset=country_qa)|Qatar,0 (QA) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|83 subnets, 848754 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_re](http://iplists.firehol.org/?ipset=country_re)|Réunion,1 (RE) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|135 subnets, 697309 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ro](http://iplists.firehol.org/?ipset=country_ro)|Romania,1 (RO) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|2935 subnets, 8614660 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_rs](http://iplists.firehol.org/?ipset=country_rs)|Serbia,0 (RS) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|466 subnets, 2324333 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ru](http://iplists.firehol.org/?ipset=country_ru)|Russia,0 (RU) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|9657 subnets, 46290204 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_rw](http://iplists.firehol.org/?ipset=country_rw)|Rwanda,0 (RW) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|48 subnets, 399628 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_sa](http://iplists.firehol.org/?ipset=country_sa)|Saudi Arabia,0 (SA) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|594 subnets, 10672323 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_sb](http://iplists.firehol.org/?ipset=country_sb)|Solomon Islands,0 (SB) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|19 subnets, 17932 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_sc](http://iplists.firehol.org/?ipset=country_sc)|Seychelles,0 (SC) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|2480 subnets, 1634198 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_sd](http://iplists.firehol.org/?ipset=country_sd)|Sudan,0 (SD) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|89 subnets, 1902561 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_se](http://iplists.firehol.org/?ipset=country_se)|Sweden,1 (SE) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|3962 subnets, 28966258 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_sg](http://iplists.firehol.org/?ipset=country_sg)|Singapore,0 (SG) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|4012 subnets, 13031451 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_sh](http://iplists.firehol.org/?ipset=country_sh)|Saint Helena,0 (SH) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|8 subnets, 780 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_si](http://iplists.firehol.org/?ipset=country_si)|Slovenia,1 (SI) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|558 subnets, 2704253 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_sj](http://iplists.firehol.org/?ipset=country_sj)|Svalbard and Jan Mayen,0 (SJ) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|57 subnets, 2054 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_sk](http://iplists.firehol.org/?ipset=country_sk)|Slovakia,1 (SK) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|546 subnets, 2859135 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_sl](http://iplists.firehol.org/?ipset=country_sl)|Sierra Leone,0 (SL) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|44 subnets, 96786 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_sm](http://iplists.firehol.org/?ipset=country_sm)|San Marino,0 (SM) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|53 subnets, 35945 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_sn](http://iplists.firehol.org/?ipset=country_sn)|Senegal,0 (SN) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|37 subnets, 401820 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_so](http://iplists.firehol.org/?ipset=country_so)|Somalia,0 (SO) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|47 subnets, 46758 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_sr](http://iplists.firehol.org/?ipset=country_sr)|Suriname,0 (SR) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|26 subnets, 89750 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ss](http://iplists.firehol.org/?ipset=country_ss)|South Sudan,0 (SS) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|23 subnets, 12814 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_st](http://iplists.firehol.org/?ipset=country_st)|São Tomé and Príncipe,0 (ST) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|14 subnets, 13841 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_sv](http://iplists.firehol.org/?ipset=country_sv)|El Salvador,0 (SV) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|142 subnets, 691254 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_sx](http://iplists.firehol.org/?ipset=country_sx)|Sint Maarten,0 (SX) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|18 subnets, 36365 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_sy](http://iplists.firehol.org/?ipset=country_sy)|Syria,0 (SY) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|245 subnets, 1317578 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_sz](http://iplists.firehol.org/?ipset=country_sz)|Eswatini,0 (SZ) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|32 subnets, 52364 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_tc](http://iplists.firehol.org/?ipset=country_tc)|Turks and Caicos Islands,0 (TC) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|23 subnets, 12797 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_td](http://iplists.firehol.org/?ipset=country_td)|Chad,0 (TD) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|30 subnets, 29497 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_tf](http://iplists.firehol.org/?ipset=country_tf)|French Southern Territories,0 (TF) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|15 subnets, 530 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_tg](http://iplists.firehol.org/?ipset=country_tg)|Togo,0 (TG) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|25 subnets, 352460 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_th](http://iplists.firehol.org/?ipset=country_th)|Thailand,0 (TH) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|737 subnets, 9235668 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_tj](http://iplists.firehol.org/?ipset=country_tj)|Tajikistan,0 (TJ) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|52 subnets, 83350 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_tk](http://iplists.firehol.org/?ipset=country_tk)|Tokelau,0 (TK) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|10 subnets, 3340 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_tl](http://iplists.firehol.org/?ipset=country_tl)|East Timor,0 (TL) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|26 subnets, 21770 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_tm](http://iplists.firehol.org/?ipset=country_tm)|Turkmenistan,0 (TM) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|20 subnets, 17553 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_tn](http://iplists.firehol.org/?ipset=country_tn)|Tunisia,0 (TN) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|47 subnets, 7606336 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_to](http://iplists.firehol.org/?ipset=country_to)|Tonga,0 (TO) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|21 subnets, 15756 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_tr](http://iplists.firehol.org/?ipset=country_tr)|Turkey,0 (TR) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|1517 subnets, 16930968 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_tt](http://iplists.firehol.org/?ipset=country_tt)|Trinidad and Tobago,0 (TT) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|64 subnets, 547996 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_tv](http://iplists.firehol.org/?ipset=country_tv)|Tuvalu,0 (TV) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|11 subnets, 12940 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_tw](http://iplists.firehol.org/?ipset=country_tw)|Taiwan,0 (TW) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|980 subnets, 35785449 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_tz](http://iplists.firehol.org/?ipset=country_tz)|Tanzania,0 (TZ) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|177 subnets, 1102140 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ua](http://iplists.firehol.org/?ipset=country_ua)|Ukraine,0 (UA) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|3498 subnets, 11520809 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ug](http://iplists.firehol.org/?ipset=country_ug)|Uganda,0 (UG) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|114 subnets, 1519860 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_um](http://iplists.firehol.org/?ipset=country_um)|U.S. Minor Outlying Islands,0 (UM) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|27 subnets, 248 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_us](http://iplists.firehol.org/?ipset=country_us)|United States,0 (US) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|42390 subnets, 1602101558 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_uy](http://iplists.firehol.org/?ipset=country_uy)|Uruguay,0 (UY) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|97 subnets, 2454601 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_uz](http://iplists.firehol.org/?ipset=country_uz)|Uzbekistan,0 (UZ) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|126 subnets, 289820 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_va](http://iplists.firehol.org/?ipset=country_va)|Vatican City,0 (VA) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|87 subnets, 19808 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_vc](http://iplists.firehol.org/?ipset=country_vc)|Saint Vincent and the Grenadines,0 (VC) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|45 subnets, 19809 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ve](http://iplists.firehol.org/?ipset=country_ve)|Venezuela,0 (VE) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|303 subnets, 6834521 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_vg](http://iplists.firehol.org/?ipset=country_vg)|British Virgin Islands,0 (VG) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|91 subnets, 47782 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_vi](http://iplists.firehol.org/?ipset=country_vi)|U.S. Virgin Islands,0 (VI) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|87 subnets, 148227 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_vn](http://iplists.firehol.org/?ipset=country_vn)|Vietnam,0 (VN) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|674 subnets, 16032109 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_vu](http://iplists.firehol.org/?ipset=country_vu)|Vanuatu,0 (VU) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|31 subnets, 26701 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_wf](http://iplists.firehol.org/?ipset=country_wf)|Wallis and Futuna,0 (WF) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|12 subnets, 4107 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ws](http://iplists.firehol.org/?ipset=country_ws)|Samoa,0 (WS) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|25 subnets, 23822 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_xk](http://iplists.firehol.org/?ipset=country_xk)|Kosovo,0 (XK) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|19 subnets, 8451 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_ye](http://iplists.firehol.org/?ipset=country_ye)|Yemen,0 (YE) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|47 subnets, 204844 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_yt](http://iplists.firehol.org/?ipset=country_yt)|Mayotte,1 (YT) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|56 subnets, 43805 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_za](http://iplists.firehol.org/?ipset=country_za)|South Africa,0 (ZA) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|2996 subnets, 32896942 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_zm](http://iplists.firehol.org/?ipset=country_zm)|Zambia,0 (ZM) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|93 subnets, 1665908 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[country_zw](http://iplists.firehol.org/?ipset=country_zw)|Zimbabwe,0 (ZW) -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|76 subnets, 231660 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
[satellite](http://iplists.firehol.org/?ipset=satellite)|Satellite Service Providers -- [MaxMind GeoLite2](http://dev.maxmind.com/geoip/geoip2/geolite2/)|ipv4 hash:net|45 subnets, 9848 unique IPs|updated every 7 days  from [this link](http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip)
